// xx-xxxxxxxx-xxx

#include <iostream>

using namespace std;
 
int num_chain(int n); // 函数声明 

int main()
{
	int n=90, max_chain, m, k; 
   
    max_chain = num_chain(n);
    m = n;  // 假定第一个数的链数最大, 后面再不断更新 
    
    for (n=91; n<=100; n++)  
    {
/***********************
   input your code here 
************************/  
	}
    
	cout << "[90,100] 中链数最大的整数是：" << m; 
	cout << ", 其链数为：" << max_chain; 
	
	cout << endl;	
	return 0;
}

int num_chain(int n) // 计算 n 的链数，循环方法  
{
/***********************
   input your code here 
************************/
} 

